//+------------------------------------------------------------------+
//|                                                      Awesome.mq4 |
//|                      Copyright  2005, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property  copyright "Copyright  2013, Carl Rodriguez"
#property  link      "http://www.interanalyst.us/"
//---- indicator settings
#property  indicator_separate_window
#property  indicator_buffers 2
#property  indicator_color1  LimeGreen
#property  indicator_color2  Red

//---- indicator buffers
double     ExtBuffer0[];
double     ExtBuffer1[];
double     ExtBuffer2[];
extern int period = 6;
double Velo5;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   IndicatorDigits(Digits+1);
   IndicatorBuffers(3);
   SetIndexBuffer(0,ExtBuffer1);
   SetIndexBuffer(1,ExtBuffer2);
   SetIndexBuffer(2,ExtBuffer0);
//---- name for DataWindow and indicator subwindow label
   IndicatorShortName("Cycle-Goff");
   SetIndexLabel(2,"Cycle-Goff");
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Awesome Oscillator                                               |
//+------------------------------------------------------------------+
int start()
  {
   int    limit;
   int    counted_bars=IndicatorCounted();
   double prev,current;
   ArraySetAsSeries(ExtBuffer2,true);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- macd
   for(int i=limit; i>0; i--) {
      ExtBuffer0[i] = iClose(NULL,0,i)-iMA(NULL,0,period,0,MODE_SMA,PRICE_CLOSE,i); //Velo2
      Velo5 = ExtBuffer0[i+period];
      ExtBuffer1[i] = ExtBuffer0[i]-Velo5; //Velo6
      }
   for(i=limit; i>0; i--) {
      ExtBuffer2[i]=iMAOnArray(ExtBuffer1,0,period/2,0,MODE_SMA,i);
      }

//---- done
   return(0);
  }
//+------------------------------------------------------------------+

